Skip to main content
GET
/
agent_run
/
{run_id}
/
nodes
Get Agent Run Nodes
curl --request GET \
  --url https://api.example.com/agent_run/{run_id}/nodes
Returns node-level status for a run, including node type metadata and whether a node is currently blocked by credits.

Request

curl -X GET "https://api.mosaic.so/agent_run/[run_id]/nodes" \
  -H "Authorization: Bearer mk_your_api_key"

Response

{
  "run_id": "7f8d9c2b-4a6e-8b3f-1d5c-9e2f3a4b5c6d",
  "nodes": [
    {
      "agent_node_id": "11111111-1111-1111-1111-111111111111",
      "original_node_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
      "status": "failed",
      "status_message": "Insufficient credits",
      "node_type": {
        "node_type_id": "3b281fb9-9eb2-40f6-b05b-4b6f909a3da9",
        "node_type_name": "AI Music",
        "docs_url": "https://docs.mosaic.so/tiles/ai-music",
        "params_docs_url": "https://docs.mosaic.so/tiles/ai-music#api-info"
      },
      "needs_credits": true
    }
  ]
}

Response Fields

FieldTypeDescription
run_idstringAgent run ID.
nodes[].agent_node_idstringRuntime node ID for this run.
nodes[].original_node_idstring | nullTemplate agent_node_id this runtime node was cloned from.
nodes[].statusstringCurrent node status.
nodes[].status_messagestring | nullOptional node status detail.
nodes[].node_typeobjectNode type metadata, including docs links.
nodes[].needs_creditsbooleantrue when any runtime task attached to the node has needs_credits=true.